/* Flip-card dari https://www.w3schools.com/howto/howto_css_flip_card.asp
   Grid responsive dari https://travishorn.com/responsive-grid-in-2-minutes-with-css-grid-layout-4842a41420fe */

.allcards{
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(500px, 1fr));
}

/* The flip card container - set the width and height to whatever you want. We have added the border property to demonstrate that the flip itself goes out of the box on hover */
.flip-card {
  border-radius: 10px;
  width: 500px;
  height: 200px;
  border: 3px solid #f1f1f1;
}
  
/* This container is needed to position the front and back side */
.inner {
  position: relative;
  width: 100%;
  height: 100%;
  text-align: center;
  transition: transform 1s;
  transform-style: preserve-3d;
}
  
/* Do an horizontal flip when you move the mouse over the flip box container */
.flip-card:hover .inner {
  transform: rotateY(180deg);
}
  
/* Position the front and back side */
.front, .back {
  border-radius: 10px;
  position: absolute;
  width: 100%;
  height: 100%;
}
  
/* Style the front side*/
.front {
  background-color: #2CC194;
  color: black;
}

.to{
  padding-left: 10px;
  text-align: left;
  font-size: 18px;
}

.from{
  padding-right: 10px;
  font-size: 18px;
  position: absolute;
  bottom: 0;
  right: 0;
}

/* Style the back side */
.back {
  background-color: dodgerblue;
  color: white;
  transform: rotateY(180deg);
}

.back p{
  padding: 5px;
}

h1 {
  text-align: center;
  margin: 10px;
}